SET COLOR MODE "NATIVE"         
GLOAD "ZENKOUJI.bmp"
ASK PIXEL SIZE (0,0; 1,1) a,b   
DIM p(a,b)                      
ASK PIXEL ARRAY (0,1) p         
CLEAR                           
SET BITMAP SIZE 501,501         
SET AREA COLOR COLORINDEX(1,1,1)   
PLOT AREA : 0,0; 0,1; 1,1; 1,0     
SET WINDOW 0,500/a, 0,500/a        
DRAW grid                         
DRAW pict1                           
WAIT DELAY 2                       !
PLOT AREA : 0,0; 1,0; 1,b/a; 0,b/a !
DRAW grid
DRAW pict1 WITH SHEAR(PI/4)*ROTATE(PI/6) 
PICTURE pict1
   MAT PLOT CELLS, IN  0, b/a; 1,0  :p
END PICTURE
END
